<?php
/*
 *      This file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */?><generatorask>
    <p><?php echo __('Les flux de syntication RSS permettent aux visiteurs de suivre vos récente acquisition
    (<a href="http://jonas.tuxfamily.org/wiki/gcweb/documentation/generateur_de_theme#rss">Plus d\'explications</a>)') ?>.</p>

    <p><?php echo __('L\'aperçu ne fonctionne pas. Il vous faut enregistrer le modèle puis tester avec
    votre lecteur de flux habituel') ?>.</p>

    <ul style="position:relative">
        <li><span class="generator_label"><?php echo __('Titre de l\'élément') ?> :</span>   <span class="generator_desc"><champ>title</champ> <span style="color:red"><?php echo __('Saisie obligatoire') ?></span></span></li>
        <li><span class="generator_label"><?php echo __('Image réprésentative') ?> :</span>  <span class="generator_desc"><champ>img</champ></span></li>
        <li><span class="generator_label"><?php echo __('Taille de cette image') ?> :</span> <span class="generator_desc"><txt>Ximg=1000</txt> x <txt>Yimg=120</txt> (<?php echo __('Conseillé : 1000x120, les proportions seront conservées') ?>).</span></li>
        <li><span class="generator_label"><?php echo __('Catégorie(s)') ?> :</span>          <span class="generator_desc"><champ>cat</champ></span></li>
        <li><span class="generator_label"><?php echo __('Source') ?> :</span>                <span class="generator_desc"><champ><?php echo __('source') ?></champ></span></li>
        <li><?php echo __('Informations diverses') ?>.
            <ul>
            <loop info>
                <li><?php echo __('Label') ?> <txt>labelinfo</txt> - <?php echo __('Champ') ?> <champ>valueinfo</champ> </li>
            </loop>
                <li>→ <addloop info></li>
            </ul>
        </li>
        <li><span class="generator_label"><?php echo __('Texte long (description)') ?> :</span><span class="generator_desc"><champ><?php echo __('description') ?></champ></span></li>
    </ul>

</generatorask>

<generatorcode><?php
/*
 *      File generated by GCweb generator a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


?><php>echo '<'.'?xml version="1.0" encoding="UTF-8"?>'; </php>

<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/">
    <channel>

        <title><?php aff($info['title']) ?> - <?php aff($collec['title']) ?></title>
        <link><?php echo URL_GCWEB ?></link>
        <description><?php echo htmlspecialchars(convert($info['description'])) ?></description>

        <?php
        // Chargement d'une partie de la base de donnée et mise en cache
        if (!isset($_GET['limit']))
            $limit = 20;
        else
            $limit = intval($_GET['limit']);


        if ($collec['filter'] == 'none')
            $itemsrss = bdd::filterSortSliceAndCache($collec['filter'],'idDSC',0,$limit,True); //pas de purge au cache
        else
            $itemsrss = bdd::filterSortSliceAndCache($collec['filter'],'idDSC',0,$limit,False); //purge au cache


        /*************** Debut de la boucle sur le items *********************/
        foreach ($itemsrss as $item) {
            ?>
            <item>
                <title><?php aff($item['%%title%%']) ?></title>
                <link><?php echo URL_GCWEB.hrefItem($item) ?></link>
                <guid isPermaLink="true"><?php echo URL_GCWEB.hrefItem($item) ?></guid>

                <description>
                    <?php echo htmlspecialchars('
                        <ifexists img>
                        <img style="float:right" src="'.URL_GCWEB.image($item['%%img%%'],%%Ximg%%,%%Yimg%%).'" />
                        </ifexists>
                        <ul>
                        <loop info>
                            <li>'.__('%%labelinfo%%').' : '.convert($item['%%valueinfo%%']).'</li>
                        </loop>
                        </ul>
                        <ifexists description><p>'.convert($item['%%description%%']).'</p></ifexists>
                        ');?>
                </description><?php

                <ifexists source>
                if (test($item['%%source%%'])) {
                    $explode = explode('##',$item['%%source%%'],2);
                    if (count($explode) == 2) {
                        $url = $explode[0];
                        $label = $explode[1];
                    } else {
                        $url = $explode[0];
                        $label = $explode[0];
                    }
                    echo '
                <source url="'.convert($url).'">'.convert($label).'</source>';
                }
                </ifexists>

                <ifexists cat>
                if (is_array($item['%%cat%%'])) {
                    foreach ($item['%%cat%%'] as $category) {
                        ?>
                        <category domain="<?php echo URL_GCWEB.'?collec='.$collec['id'].'&amp;model=list&amp;filter=%%cat%%=='.$category ?>">
                            <?php aff($category) ?>
                        </category>
                        <?php
                    }
                } else {
                        ?>
                        <category domain="<?php echo URL_GCWEB.'?collec='.$collec['id'].'&amp;model=list&amp;filter=%%cat%%=='.$item['%%cat%%'] ?>">
                            <?php aff($item['%%cat%%']) ?>
                        </category>
                        <?php
                }
                </ifexists>
                ?>
            </item>
            <?php
        } ?>
    </channel>
</rss>
~~ NOHEAD ~~
~~ NOFOOT ~~
</generatorcode>